%define	major 2.0
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	The OpenGL Extension Wrangler Library
Name:		glew
Version:	2.0.0
Release:	%mkrel 1
Group:	System/Libraries
License:	BSD and MIT
URL:		http://glew.sourceforge.net
Source0:	http://downloads.sourceforge.net/glew/%{name}-%{version}.tar.xz
Patch0:     glew-2.0.0-pic.patch
Patch1:     glew-2.0.0-pkgconfig.patch
BuildRequires:	libx11-devel
BuildRequires:	mesaglu-devel
BuildRequires:	libxi-devel
BuildRequires: libxmu-devel
BuildRequires:	file

%description
The goal of the OpenGL Extension Wrangler Library (GLEW) is to assist C/C++
OpenGL developers with two tedious tasks: initializing and using extensions
and writing portable applications. GLEW provides an efficient run-time
mechanism to determine whether a certain extension is supported by the
driver or not. OpenGL core and extension functionality is exposed via a
single header file. GLEW currently supports a variety of platforms and
operating systems, including Windows, Linux, Darwin, Irix, and Solaris. 


%package -n %{libname}
Summary:	GLEW library
Group:		System/Libraries

%description -n %{libname}
The goal of the OpenGL Extension Wrangler Library (GLEW) is to assist C/C++
OpenGL developers with two tedious tasks: initializing and using extensions
and writing portable applications. GLEW provides an efficient run-time
mechanism to determine whether a certain extension is supported by the
driver or not. OpenGL core and extension functionality is exposed via a
single header file. GLEW currently supports a variety of platforms and
operating systems, including Windows, Linux, Darwin, Irix, and Solaris.


%package -n %{develname}
Summary:	Development files for using the %{name} library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1.3 -d
Provides:	%mklibname %{name} 1.3 -d

%description -n	%{develname}
Development files for using the %{name} library.


%prep

%setup -q
%apply_patches

%build
%make_build CFLAGS.EXTRA="%{optflags}" LDFLAGS.EXTRA="%{ldflags}" STRIP=

%install
rm -rf %{buildroot}
make install.all DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.a
chmod 0755 %{buildroot}%{_libdir}/*.so*



%files
%defattr(-,root,root)
%{_bindir}/glewinfo
%{_bindir}/visualinfo

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libGLEW.so.%{major}
%{_libdir}/libGLEW.so.%{major}.*


%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/GL/*.h
%{_libdir}/libGLEW.so
%{_libdir}/pkgconfig/%{name}.pc

%clean
rm -rf %{buildroot}

%changelog
* Sat Nov 17 2018 adrianomorselli <adrianomorselli> 2.0.0-1uplos2018
- update
- new gcc
- new lib major
